## org.apache.mahout.math.hadoop
Class TransposeJob.TransposeMapper

    java.lang.Object
      org.apache.hadoop.mapred.MapReduceBase
          org.apache.mahout.math.hadoop.TransposeJob.TransposeMapper

All Implemented Interfaces:
  java.io.Closeable, org.apache.hadoop.mapred.JobConfigurable, org.apache.hadoop.mapred.Mapper<org.apache.hadoop.io.IntWritable,VectorWritable,org.apache.hadoop.io.IntWritable,DistributedRowMatrix.MatrixEntryWritable>

Enclosing class:
  TransposeJob

    public static class TransposeJob.TransposeMapper

extends org.apache.hadoop.mapred.MapReduceBase
implements org.apache.hadoop.mapred.Mapper<org.apache.hadoop.io.IntWritable,VectorWritable,org.apache.hadoop.io.IntWritable,DistributedRowMatrix.MatrixEntryWritable>

Constructor Summary
`TransposeJob.TransposeMapper()`

Method Summary
`void` `map(org.apache.hadoop.io.IntWritable r, VectorWritable v, org.apache.hadoop.mapred.OutputCollector<org.apache.hadoop.io.IntWritable,DistributedRowMatrix.MatrixEntryWritable> out, org.apache.hadoop.mapred.Reporter reporter)`

Methods inherited from class org.apache.hadoop.mapred.MapReduceBase
`close, configure`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.apache.hadoop.mapred.JobConfigurable
`configure`

Methods inherited from interface java.io.Closeable
`close`

Constructor Detail

### TransposeJob.TransposeMapper

    public TransposeJob.TransposeMapper()

Method Detail

### map

    public void map(org.apache.hadoop.io.IntWritable r,
                    VectorWritable v,
                    org.apache.hadoop.mapred.OutputCollector<org.apache.hadoop.io.IntWritable,DistributedRowMatrix.MatrixEntryWritable> out,
                    org.apache.hadoop.mapred.Reporter reporter)
             throws java.io.IOException

  Specified by:
    `map` in interface `org.apache.hadoop.mapred.Mapper<org.apache.hadoop.io.IntWritable,VectorWritable,org.apache.hadoop.io.IntWritable,DistributedRowMatrix.MatrixEntryWritable>`
  Throws:
    `java.io.IOException`

Copyright © 2008-2010 The Apache Software Foundation. All Rights Reserved.